# Language (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Language

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Language

All Implemented Interfaces:
  Serializable

    public final class Language
    extends Parameter

LANGUAGE parameter. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static ParameterFactory<Language>` `FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`Language(Locale locale)`
`Language(String value)`

### Method Summary

Methods
`Locale` `getLocale()`
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final ParameterFactory<Language> FACTORY

### Constructor Detail

#### Language

    public Language(String value)

Parameters:
  `value` - a vCard-compliant string representation of a language.

#### Language

    public Language(Locale locale)

Parameters:
  `locale` - the locale for the language

### Method Detail

#### getLocale

    public Locale getLocale()

Returns:
  the locale

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter